Linode Kubernetes Engine (LKE)

View Kubernetes Version

get
https://api.linode.com/v4/lke/versions/{version}

View a Kubernetes version available for deployment to a Kubernetes cluster.

Authorizations

Personal Access Token
OAuth: ( lke:read_only)

Path Parameters

version
Required
string

The LKE version to view.

Request Samples

curl -H "Authorization: Bearer $TOKEN" \
      https://api.linode.com/v4/lke/versions/1.16

Response Samples

{
  "id": 1234
}

Responses

200: Returns a Kubernetes version object that is available for deployment to a Kubernetes cluster.

id
string

A Kubernetes version number available for deployment to a Kubernetes cluster in the format of <major>.<minor>, and the latest supported patch version.

default: Error

errors
array of objects
reason
string

What happened to cause this error. In most cases, this can be fixed immediately by changing the data you sent in the request, but in some cases you will be instructed to open a Support Ticket or perform some other action before you can complete the request successfully.

field
string

The field in the request that caused this error. This may be a path, separated by periods in the case of nested fields. In some cases this may come back as "null" if the error is not specific to any single element of the request.